<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include("DFJSISCI.inc");
include("JQUERY.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<head>

<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>

<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
            $(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='cat_tipo_AU.php';
	var idObjDes='tbus';
//	var idObjCve='id_ope';
        var nomObjRad='tip_bus_ope';
	$("#"+idObjDes).autocomplete({ //Des
	    source:pagRes,	
            minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		cacheLength: 0,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
		 select: function( event, ui ) {
                 
                      $("#"+idObjDes).val(ui.item.tpdescrip);	
//		$('#fcodgrupo').focus();
              
                }
	});	
	
});
//$(document).ready(function(){
//	$("#tbus").autocomplete('cat_tipo_AU.php',{
//		minChars: 1,                 //Caracteres Minimos antes de autocompletar
//		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
//		selectFirst:false,
//		delay: 200,                  //Retardo de autocompletar 
//		width: 500,                  //ancho del cuadro de despliegue
//		highlight: false,            //Resalta letras coincidentes
//		autoFill: false,             //autocompleta en texto la posible palabra
//		scroll: true,				 //si cuadro tiene barra scroll
//		scrollHeight: 500,           //alto del cuadro para el scroll
//		formatItem:function (row, i, n, value) { //formato de presentacion de las posibles busquedas
//			return "(<strong>"+row[1]+"</strong>)"+row[0];
//		},	     
//		formatResult:function(row){  //formato de seleccion de busqueda
//			return row[0];
//		},
//		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
//	});
//	$("#tbus").result(function(event, row, formatted){
//		//if(!row && confirm("Articulo:'"+$(this).val()+"'\nDesea AGREGARLO?"))
//			openpage("cat_tipo_AG.php?tap2="+$(this).val(),'_self');
//		//else if(confirm("Articulo:'" +row[0]+"'\nDesea Consultar/Modificar?"))
//			openpage("cat_tipo_MO.php?bot="+row[1],'_self');
//	}).keypress (function(){
//    	var evt = (evt) ? evt : event; 
//    	var tecla = (evt.charCode) ? evt.charCode : ((evt.keyCode) ? evt.keyCode:((evt.which) ? evt.which : 0)); 
//    	if(tecla==13){
//			$(this).search();
//			return false;	
//		}
//		return true;
//	});	
//
//});
//
//function busca(){
//	getOnLayer({
//			action:'cat_tipo_PR-SRV.php',
//			idLayer:'regBus'
//		},{
//			tbus:ge('tbus').value
//	});
//}

</script>

<script type="text/javascript"> 
// Variables globales
var indiceZ=0; 
var posElInicial=new Array();
var posElFinal=new Array();
var posEls=new Array();
var posMouseInicial=new Array();
var elEnMov=null;
 
// Cargo las posiciones de las capas en el documento
onload=posElsAbs;
onresize=posElsAbs;
 
// Detecto el navegadoregador
if(navigator.userAgent.indexOf("MSIE")>=0) navegador=0; // IE
else navegador=1; // Otros
 
function delay() 
{ 
	/* 
	En IE sin un peque�o delay parece haber problemas con la captura de las posiciones de las capas. Lo extra�o es que no siempre sucede por lo que este
	retraso puede no ser necesario.
	*/
}
 
function posElsAbs()
{
	/*
	funcion: almacenar las posiciones absolutas de los elementos movibles de la pagina
	parametros:
	retorno:
	*/
	setTimeout("delay()", 200);
	var el=document.getElementsByTagName("div");
	var i=0;
	while(el['i'])
	{
		if(el['i'].id.substr(0, 4)=="drag")
		{
			el['i'].onmousedown=inicioMov;
			posEls[el['i'].id]=posElAbs(el['i'].id);
		}
		i++;
	}
}
 
function noEventos(event)
{
	if(navegador==0)
	{
		window.event.cancelBubble=true;
		window.event.returnValue=false;
	}
	if(navegador==1) event.preventDefault();
}
 
function getEl(idEl) 
{
	/*
	funcion: devolver el elemento cuyo id se recibe
	parametros: (string) id de elemento
	retorno: (objeto) elemento cuyo id se recibe
	*/
	return document.getElementById(idEl); 
}
 
function copiaArr(arr) 
{ 
	/*
	funcion: devolver una copia exacta del array que se recibe por parametro
	parametros: (array) array a copiar
	retorno: (array) duplicado del array recibido
	*/
	var tArr=new Array();
	for(var n in arr) tArr['n']=arr['n'];
	return tArr;
}
 
function posMouse(event)
{
	/*
	funcion: devolver la posicion del puntero en un momento determinado
	parametros: (objeto) objeto event
	retorno: (array=>["x"] - ["y"]) posicion del puntero
	*/
	var pos=new Array();
	if(navegador==0)
	{
		/* document.body.clientLeft/clientTop es el tama�o del borde (usualmente 2px) que
		encierra al documento ya que en IE este no empieza en (0,0) */
	 	pos["x"]=window.event.clientX+document.body.clientLeft+document.body.scrollLeft;
		pos["y"]=window.event.clientY+document.body.clientTop+document.body.scrollTop;
	}
	if(navegador==1)
	{
		pos["x"]=event.clientX+window.pageXOffset;
		pos["y"]=event.clientY+window.pageYOffset;
	}
	return pos;
}
 
function posElAbs(idEl)
{
	/*
	funcion: devolver la posicion del elemento con respecto a los bordes del documento
	parametros: (string) id del elemento
	retorno: (array=>["xInicial"] - ["xFinal"] - ["yInicial"] - ["yFinal"]) posicion del elemento
	*/
	var el=elP=getEl(idEl);
	var pos=new Array();
	pos["xInicial"]=pos["yInicial"]=pos["xFinal"]=pos["yFinal"]=0;
	
	do
	{
		pos["xInicial"]+=elP.offsetLeft;
		pos["yInicial"]+=elP.offsetTop;
		elP=elP.offsetParent;
	} while(elP);
 
	pos["xFinal"]=el.offsetWidth+pos["xInicial"];
	pos["yFinal"]=el.offsetHeight+pos["yInicial"];
 
	return pos;
}
 
function posElRel(idEl)
{
	/*
	funcion: devolver la posicion del elemento con respecto a su contenedor (left y top)
	parametros: (string) id del elemento
	retorno: (array=>["x"] - ["y"]) posicion del elemento
	*/
	var el=getEl(idEl);
	var pos=new Array();
	pos["x"]=parseInt(el.style.left);
	pos["y"]=parseInt(el.style.top);
	return pos;
}
 
function reOrdena(posMouse)
{
	for(var idEl in posEls)
	{
		if(idEl!=elEnMov.id)
		{
			if(posMouse["x"]>=posEls['idEl']["xInicial"] && posMouse["x"]<=posEls['idEl']["xFinal"] &&
			posMouse["y"]>=posEls['idEl']["yInicial"] && posMouse["y"]<=posEls['idEl']["yFinal"]) 
			{
				// La capa cuyo id es idEl debe posicionarse en la posicion de comienzo de la capa en movimiento
				var el=getEl(idEl);
				
				// Intercambio la posicion de la capa estatica por la posicion final de la capa en movimiento
				var temp=new Array();
				temp["x"]=parseInt(el.style.left);
				temp["y"]=parseInt(el.style.top);
				el.style.left=posElFinal["x"]+"px";
				el.style.top=posElFinal["y"]+"px";
				posElFinal=copiaArr(temp);
				
				// Cambio los valores de posicion de la capa estatica y la capa en movimiento en el array de posiciones
				var temp1=new Array();
 
				temp1=copiaArr(posEls[elEnMov.id]);
				posEls[elEnMov.id]=copiaArr(posEls['idEl']);
				posEls['idEl']=copiaArr(temp1);
			}
		}
	}
}
 
function inicioMov(event)
{
	if(navegador==0)
	{
	 	elEnMov=window.event.srcElement;
		
		document.attachEvent("onmousemove", enMov);
		document.attachEvent("onmouseup", finMov);
	}
	if(navegador==1)
	{
		elEnMov=event.target;
		
		document.addEventListener("mousemove", enMov, true);
		document.addEventListener("mouseup", finMov, true);
	}
	
	posElInicial=posElRel(elEnMov.id);
	posMouseInicial=posMouse(event);
	
	posElFinal=copiaArr(posElInicial);
	
	elEnMov.style.zIndex=++indiceZ;
	noEventos(event);
}
 
function enMov(event)
{	 
	var pos=posMouse(event);
	reOrdena(pos);
	
	elEnMov.style.left=posElInicial["x"]+pos["x"]-posMouseInicial["x"]+"px";
	elEnMov.style.top=posElInicial["y"]+pos["y"]-posMouseInicial["y"]+"px";
	
	noEventos(event);
}
 
function finMov(event)
{
	elEnMov.style.left=posElFinal["x"]+"px";
	elEnMov.style.top=posElFinal["y"]+"px";
	
	if(navegador==0)
	{    
		document.detachEvent("onmousemove", enMov);
		document.detachEvent("onmouseup", finMov);
	}
	if(navegador==1)
	{
		document.removeEventListener("mousemove", enMov, true);
		document.removeEventListener("mouseup", finMov, true); 
	}
}
</script>

<style type="text/css">
BODY {
SCROLLBAR-FACE-COLOR:#0000CC; SCROLLBAR-HIGHLIGHT-COLOR:#00CCFF; SCROLLBAR-SHADOW-COLOR:#0000CC; SCROLLBAR-3DLIGHT-COLOR:#0000CC; SCROLLBAR-ARROW-COLOR:#FFFFFF; SCROLLBAR-TRACK-COLOR:#FFFFFF; SCROLLBAR-DARKSHADOW-COLOR: #330000
}
td {/*background-color:#F0FFF0;*/
   /* background-image:url(img/tdn.jpg);*/
   font-family:helvetica;
   font-style:italic;
   font-size:14px;
   color: #000000;}  

th {background-color:  ;
	/*background-image:url(img/LINE2.jpg);*/
    font-family:helvetica;
    font-size:15px;
	color: #FFFFFF;} 
	
.original{ 
text-align:center;
background: url(img/boton_4.jpg);
font-size:10pt;
 ;
font-weight:bold;
border-style: dashed;
border-color:#99dd56;
border-width:1px;}

.bot_WsW{ 
text-align:center;
background: url(img/boton_5.jpg);
font-size:10pt;
 ;
font-weight:bold;
border-style: dashed;
border-color:#99dd56;
border-width:1px;}

.bot_ZaZ{ 
text-align:center;
background: url(img/boton_3.jpg);
font-size:10pt;
 ;
font-weight:bold;
border-style: dashed;
border-color:#99dd56;
border-width:1px;}

.bot_RjR{ 
text-align:center;
background: url(img/boton_2.jpg);
font-size:10pt;
 ;
font-weight:bold;
border-style: dashed;
border-color:#99dd56;
border-width:1px;}

.bot_NgN{ 
text-align:center;
background: url(img/boton_1.jpg);
font-size:10pt;
 ;
font-weight:bold;
border-style: dashed;
border-color:#99dd56;
border-width:1px;}

</style>

<style type="text/css"> 
#contenedor DIV
{
	height:20px;
	width:150px;
	position:absolute;
	border-color:#000000; border-style:solid; border-width:1px;
	background:#FFFFFF;
	font-family:Verdana; font-size:12px;
	padding-top:4px;
	margin:5px;
	text-align:center;
	cursor:move;
}
 
#contenedor
{
	position:absolute;
	top:50px;
	left:50%;
	margin-left:-75px;
}
</style>

</head>
 
<body onLoad = "self.focus (); document.form1.tbus2.focus ()">
<div id="contenedor">
 
<!--<div id="drag_1" style="top:0px; left:0px;">Capa uno</div>
<div id="drag_2" style="top:35px; left:0px;">Capa dos</div>
<div id="drag_3" style="top:70px; left:0px;">Capa tres</div>
<div id="drag_4" style="top:105px; left:0px;">Capa cuatro</div>
 -->
</div>
<div align="center">
  <form name="form1" method="post" action="">
    <p>&nbsp;</p>
    <table  align="center" bordercolor=" " bordercolordark=" ">
	  <tr> <th colspan="2">CATALOGO TIPOS DE HUESPED</th> </tr>
      <tr> <th>BUSQUEDA          </th> </tr>
    
      <tr>
        <td colspan="2"><input type="submit" name="Submit" value="Buscar" class="bot_WsW"/>
          <img src="magnifier.png" alt="Buscar" onClick="alert('Buscar')" />
        <input name="tbus" id="tbus" type="text" onBlur="may(this)" size="30"/></td>
      </tr>
      <tr>
        <th colspan="2">CATALOGO TIPOS DE HUESPED</th>
      </tr>
      <tr>
        <td colspan="2"><div align="center">
          <input name="tbus2" type="text" id="tbus" onBlur="may(this)" size="50"
		<?php

			if(isset($_POST['tbus'])){ 
				echo 'value="' . $_POST['tbus'] .  '"';
			}
		?>
		/>
        </div></td>
      </tr>   
    </table>
  </form>
</div>
<div align="center">
<form name="frm1" id="frm1" method="post" action=""
<?php
 
	$sql = mysqli_query($con ,"SELECT * FROM tiphuesped ORDER BY n_reg");
	include("DE10000.php");
	?>
>
<table width="382" border='1' bordercolor=" " bordercolordark=" ">
      <tr>
        <th colspan="13"> <div align="center">
          <input type="Submit" name="bot3" value="Consultar"  onClick="openpage('cat_tipo_CO.php','_self')" class="original"/>
          <input type="button" name="bot2" value="Modificar" onClick="openpage('cat_tipo_MO.php','_self')" class="bot_WsW"/>
          <input type="button" name="bot1" value="Eliminar" onClick="openpage('cat_tipo_EL.php','_self')" class="bot_RjR"/>
          <input type="button" name="bot4" value="Imprimir " onClick="openpage('cat_tipo_IM.php','_self')" class="bot_WsW"/>
        </div></th>
      </tr>
      <tr>
        <th width="24"  nowrap><div align="center">SEL</div></th>
        <th width="52"  nowrap><div align="center">CODIGO</div></th>
		<th width="284"  nowrap><div align="center">DESCRIPCION</div></th>
	  </tr>
	  <?php

        $vart=(isset($_POST['tbus']))?$_POST['tbus']:"";
	echo '<input name="txt_bus" type="hidden" value="'.$vart.'">';
	$vars=(isset($_POST['submit']))?$_POST['submit']:"";
        if($vars=="")
	{
		echo '<input name="tip_bus" type="hidden" value="nombre">';
		@$sql = mysqli_query($con ,"SELECT * FROM tiphuesped WHERE tpdescrip like '%".$_POST['tbus']."%'");
	}
	while($reg = mysqli_fetch_array($sql))
	{
	  	echo "<tr>";
		echo '<td> <div align="center"><input name="bot" type="radio" value="'. $reg["n_reg"].'"></div></td>';
		echo "<td> <div align='center'><h5>" . $reg["tpclave"] . "&nbsp;</h5></div></td>";
		echo "<td> <div align='center'><h5>" . $reg["tpdescrip"] . "&nbsp;</h5></div></td>";
		echo "</tr>";
	}
	mysqli_close($con);
	?>
    </table>
  </form>
</div>
</body>
</html>